import { NsMediumCard } from '@nuskin/foundation-ui-components';

import type { NsMediumCardProps } from '../types/types';
import {ReactElement} from 'react';

type Props = {
    card: NsMediumCardProps;
};
// TODO: we have to update the cards to use image from bynder extension
const NsMediumCardComponent = ({ card }: Props):ReactElement => {
    const { title, titleFontWeight, subtitle, backgroundImageUrl, button, className } = card || {};
    return (
        <NsMediumCard
            backgroundImageAlt=""
            title={title}
            titleFontWeight={titleFontWeight}
            subtitle={subtitle}
            backgroundImageUrl={backgroundImageUrl}
            button={button}
            className={className}
            fluid
        />
    );
};

export default NsMediumCardComponent;
