import getConfig from 'next/config';

const { publicRuntimeConfig } = getConfig();

export const ContentStackEnv = process?.env?.STORE_ID ? process?.env : publicRuntimeConfig;

const { STOREFRONT_URL, STORE_ID } = ContentStackEnv;

export const CustomerAPI = {
    customer: `${STOREFRONT_URL}/customers`,
    storeId: STORE_ID
};
