import pathOr from 'ramda/src/pathOr';
import compose from 'ramda/src/compose';
import { CardTypeName } from './types';
import { getButtonModel, getBackgroundImageUrl } from './card-model-util';

const getHeroCardLevel1CardModel = (data: any) => ({
    cardTitle: data?.cardTitle || '',
    cardDescription: data?.cardDescription || '',
    backgroundImageUrl: getBackgroundImageUrl(data),
    backgroundImageAlt: data?.backgroundImageAlt || '',
    className: data?.className || '',
    button: getButtonModel(data),
    imagePosition: data?.imagePosition || ''
});

export const getHeroCardLevel1CardData = compose(
    getHeroCardLevel1CardModel,
    pathOr({}, [CardTypeName.HeroLevel1Card])
);
