import pathOr from 'ramda/src/pathOr';
import compose from 'ramda/src/compose';
import { CardTypeName } from './types';
import { getBackgroundImageUrl, getButtonModel } from './card-model-util';

const getHeroCardLevel2CardModel = (data: any) => ({
    brandName: data?.brandName || '',
    cardTitle: data?.cardTitle || '',
    cardDescription: data?.cardDescription || '',
    backgroundImageUrl: getBackgroundImageUrl(data),
    backgroundImageAlt: data?.backgroundImageAlt || '',
    className: data?.className || '',
    button: getButtonModel(data)
});

export const getHeroCardLevel2CardData = compose(
    getHeroCardLevel2CardModel,
    pathOr({}, [CardTypeName.HeroLevel2Card])
);
