import pathOr from 'ramda/src/pathOr';
import compose from 'ramda/src/compose';
import { CardTypeName } from './types';
import { getBackgroundImageUrl, getButtonModel } from './card-model-util';

const getXLargeCardModel = (data: any) => ({
    title: data?.title || '',
    subtitle: data?.subtitle || '',
    backgroundImageUrl: getBackgroundImageUrl(data),
    backgroundImageAlt: data?.backgroundImageAlt || '',
    className: data?.className || '',
    button: getButtonModel(data)
});

export const getXLargeCardData = compose(getXLargeCardModel, pathOr({}, [CardTypeName.XLargeCard]));
