import parseShowcaseDefaultData from './showcase-default';
import parseShowcaseListData from './showcase-list';

const dataParser = (component: any) => {
    const name = Object.keys(component)?.[0];
    const values = Object.values(component)?.[0];

    let parsedData;
    // NOTE: using switch now in preparation for the rest of the variants
    switch (name) {
        case 'showcase':
            parsedData = parseShowcaseDefaultData(values);
            break;
        case 'showcase_list':
            parsedData = parseShowcaseListData(values);
            break;
        default:
            parsedData = {};
    }
    return parsedData;
};

export default dataParser;
