import { render } from '@testing-library/react';

import DefaultVideoComponent from '../variants/DefaultVideo';
import { DefaultVideoMockdata } from './fixtures';

describe('Ns Video', () => {
    it('1. renders default video ', () => {
        const { getByTitle } = render(<DefaultVideoComponent video={DefaultVideoMockdata} />);
        const iframeElement = getByTitle('Ns Video Component');
        expect(iframeElement).toBeInTheDocument();
        // Check that the src attribute of the iframe matches the expected value
        expect(iframeElement).toHaveAttribute('src', DefaultVideoMockdata?.items?.href);
    });
});
